--
-- LeveSX
--
-- written by fruktor, visit: www.eifok-team.de
--

LeveSX = {};

LeveSX.modDir = g_currentModDirectory;

function LeveSX.prerequisitesPresent(specializations)
    return true; 
end;

function LeveSX:load(xmlFile)
	self.sj2 = {};
	self.sj2.node = Utils.indexToObject( self.components, getXMLString(xmlFile, "vehicle.LeveSX#node") );
	self.sj2.rotF = math.rad( getXMLFloat(xmlFile, "vehicle.LeveSX#rotFront") );
	self.sj2.rotB = math.rad( getXMLFloat(xmlFile, "vehicle.LeveSX#rotBack") );
	self.sj2.rotT = 0;
	self.sj2.rotC = 0;
end;

function LeveSX:delete()

end;

function LeveSX:readStream(streamId, connection)
end;

function LeveSX:writeStream(streamId, connection)
end;

function LeveSX:mouseEvent(posX, posY, isDown, isUp, button)
end;

function LeveSX:keyEvent(unicode, sym, modifier, isDown)
end;

function LeveSX:update(dt)

	if self:getIsActive() then
		if self.isClient then
			
			local axisForward = 0;
			axisForward = InputBinding.getDigitalInputAxis(InputBinding.AXIS_MOVE_FORWARD_VEHICLE);
			if InputBinding.isAxisZero(axisForward) then
				axisForward = InputBinding.getAnalogInputAxis(InputBinding.AXIS_MOVE_FORWARD_VEHICLE)
			end;
			--print("axisForward="..axisForward);
			if axisForward < 0 then
				self.sj2.rotT = -self.sj2.rotF*axisForward;
			elseif axisForward > 0 then
				self.sj2.rotT = self.sj2.rotB*axisForward;
			else
				self.sj2.rotT = 0;
			end
			
			if self.ESLimiter ~= nil and self.lastLevel ~= 0 and self:getIsActiveForInput(false) and not self:hasInputConflictWithSelection() then
				local percentage = self.ESLimiter.percentage;
				if InputBinding.isPressed(InputBinding.ESLimiter_PLUS) and percentage[self.lastLevel] < 100 then					
					self.sj2.rotT = self.sj2.rotF/2;
				elseif InputBinding.isPressed(InputBinding.ESLimiter_MINUS) and percentage[self.lastLevel] > 10 then
					self.sj2.rotT = self.sj2.rotB/2;
				end;
			end;			
			
			if self.sj2.rotC < self.sj2.rotT then
				self.sj2.rotC = self.sj2.rotC + dt/1000;
				if self.sj2.rotC > self.sj2.rotT then
					self.sj2.rotC = self.sj2.rotT;
				end;
			elseif self.sj2.rotC > self.sj2.rotT then
				self.sj2.rotC = self.sj2.rotC - dt/1000;
				if self.sj2.rotC < self.sj2.rotT then
					self.sj2.rotC = self.sj2.rotT;
				end;
			end;
			
			setRotation( self.sj2.node, self.sj2.rotC, 0, 0 );
			
		end;
	end;

	--print("axisForward="..tostring(axisForward).." self.movingDirection="..tostring(self.movingDirection).." "..tostring(self.lastSpeed).."   self.lastSpeedReal="..tostring(self.lastSpeedReal));

	if self.motor.LeveSXl ~= 0 then
	end;
	
end;

function LeveSX:updateTick(dt)

end;

function LeveSX:onLeave()
end;

function LeveSX:draw()
end;





--
--
--
--
--
