--
-- PedalDX
--
-- written by fruktor, visit: www.eifok-team.de
--

PedalDX = {};

PedalDX.modDir = g_currentModDirectory;

function PedalDX.prerequisitesPresent(specializations)
    return true; 
end;

function PedalDX:load(xmlFile)
	self.sj3 = {};
	self.sj3.node = Utils.indexToObject( self.components, getXMLString(xmlFile, "vehicle.PedalDX#node") );
	self.sj3.rotF = math.rad( getXMLFloat(xmlFile, "vehicle.PedalDX#rotFront") );
	self.sj3.rotB = math.rad( getXMLFloat(xmlFile, "vehicle.PedalDX#rotBack") );
	self.sj3.rotT = 0;
	self.sj3.rotC = 0;
end;

function PedalDX:delete()

end;

function PedalDX:readStream(streamId, connection)
end;

function PedalDX:writeStream(streamId, connection)
end;

function PedalDX:mouseEvent(posX, posY, isDown, isUp, button)
end;

function PedalDX:keyEvent(unicode, sym, modifier, isDown)
end;

function PedalDX:update(dt)

	if self:getIsActive() then
		if self.isClient then
			
			local axisSide = 0;
			axisSide = InputBinding.getDigitalInputAxis(InputBinding.AXIS_MOVE_SIDE_VEHICLE);
			if InputBinding.isAxisZero(axisSide) then
				axisSide = InputBinding.getAnalogInputAxis(InputBinding.AXIS_MOVE_SIDE_VEHICLE)
			end;
			--print("axisSide="..axisSide);
			if axisSide < 0 then
				self.sj3.rotT = -self.sj3.rotF*axisSide;
			elseif axisSide > 0 then
				self.sj3.rotT = self.sj3.rotB*axisSide;
			else
				self.sj3.rotT = 0;
			end
			
			if self.ESLimiter ~= nil and self.lastLevel ~= 0 and self:getIsActiveForInput(false) and not self:hasInputConflictWithSelection() then
				local percentage = self.ESLimiter.percentage;
				if InputBinding.isPressed(InputBinding.ESLimiter_PLUS) and percentage[self.lastLevel] < 100 then					
					self.sj3.rotT = self.sj3.rotF/2;
				elseif InputBinding.isPressed(InputBinding.ESLimiter_MINUS) and percentage[self.lastLevel] > 10 then
					self.sj3.rotT = self.sj3.rotB/2;
				end;
			end;			
			
			if self.sj3.rotC < self.sj3.rotT then
				self.sj3.rotC = self.sj3.rotC + dt/1000;
				if self.sj3.rotC > self.sj3.rotT then
					self.sj3.rotC = self.sj3.rotT;
				end;
			elseif self.sj3.rotC > self.sj3.rotT then
				self.sj3.rotC = self.sj3.rotC - dt/1000;
				if self.sj3.rotC < self.sj3.rotT then
					self.sj3.rotC = self.sj3.rotT;
				end;
			end;
			
			setRotation( self.sj3.node, self.sj3.rotC, 0, 0 );
			
		end;
	end;

	--print("axisSide="..tostring(axisSide).." self.movingDirection="..tostring(self.movingDirection).." "..tostring(self.lastSpeed).."   self.lastSpeedReal="..tostring(self.lastSpeedReal));

	if self.motor.PedalDXl ~= 0 then
	end;
	
end;

function PedalDX:updateTick(dt)

end;

function PedalDX:onLeave()
end;

function PedalDX:draw()
end;





--
--
--
--
--
